Bug 230507 - Non detection of SATA hard disks connected to 3rd and 4th physical SATA ports on the Asus P5B motherboard. udev can hang during startup.
Non detection of SATA hard disks connected to 3rd and 4th physical SATA ports...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Milburn
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-02-28 22:33 EST by W.Soo
Modified: 2009-09-01 14:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-01 14:14:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description W.Soo 2007-02-28 22:33:15 EST
Description of problem:

How reproducible:


Steps to Reproduce:
1.  Hardware:
Asus P5B motherboard, enable AHCI on Intel ICH8 SATA controller.  enable IDE on
JMicron SATA Controller.  
4x SATA II hard disks connected to the Intel ICH8 SATA ports.  
Nothing connected to the JMicron SATA ports.
Intel Core 2 Duo E6300 CPU.
1x Intel Pro/1000 PT desktop controller installed on the last x1 PCI-Express slot.
1x Asus Nvidia 7100GS video card installed on the first PCI-Express slot.
2.  Install RHEL5 Beta II
3.  During disk partitioning in disk druid, you won't see SATA disk 3 and SATA
disk 4.  You will see only the first two disks.  Partition with md0 and md1,
RAID 1 devices across the first disk.  But /boot into md0 as a EXT3 filesystem.
 Create a Logical Volume Group in md1 and put / and swap there for the purpose
of testing.
4.  After installation and rebooting you'll see an unrelated bug with the video
display going out of range and not showing anything on the screen.  Fix going
into single user mode and editing /etc/X11/xorg.conf, adding in the Scree section:

        SubSection "Display"
                Depth    24
                Modes    "1024x768"

Then at the shell, init 5 to go into multi user mode and setup the OS for the
first time.
5. After logging in, check that /dev/sdc and /dev/sdd does not exist.  Check
that /dev/sda and /dev/sdb exists.
6. lspci shows that the AHCI ports are detected.
Actual results:
Only the first two SATA II disks detected.

Expected results:
All 4 SATA II disks detected.

Additional info:
Note that the SATA port numbers, logically, appear out of synch.  i.e 1, 3, 4, 5
rather than 1,2,3,4.
Intel ICH8R appears to be reported in lspci rather than ICH8.
UDEV appears to hang the first time after starting up RHEL5Beta.  Difficult to
Comment 1 W.Soo 2007-03-18 22:19:23 EDT
With the release of RHEL5, I downloaded the media from RHN and tried again.

The BIOS options for this Asus P5B motherboard is to use AHCI.

Disk 3 and 4 is not recognized by RHEL5 during the installation of the OS.

A work around is to change the Asus BIOS (Version 1102) option to utilise IDE as
oppose to AHCI.  During the installation of RHEL5, all 4 disks are detected as
sda,sdb,sdc and sdd.
Comment 3 David Milburn 2009-09-01 14:14:18 EDT
This should not be a problem in the current release, please re-open if necessary.

Note You need to log in before you can comment on or make changes to this bug.